Package org.apache.sysds.runtime.instructions

## Class SPInstructionParser

- java.lang.Object
- - org.apache.sysds.runtime.instructions.InstructionParser
  - - org.apache.sysds.runtime.instructions.SPInstructionParser

    public class SPInstructionParser
    extends InstructionParser

### Field Summary

Fields
`static HashMap<String,​SPInstruction.SPType>` `String2SPInstructionType`

### Constructor Summary

Constructors
`SPInstructionParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SPInstruction` `parseSingleInstruction​(String str)`
`static SPInstruction` `parseSingleInstruction​(SPInstruction.SPType sptype, String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.InstructionParser

`parseMixedInstructions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### String2SPInstructionType

    public static final HashMap<String,​SPInstruction.SPType> String2SPInstructionType

### Constructor Detail

#### SPInstructionParser

    public SPInstructionParser()

### Method Detail

#### parseSingleInstruction

    public static SPInstruction parseSingleInstruction​(String str)

#### parseSingleInstruction

    public static SPInstruction parseSingleInstruction​(SPInstruction.SPType sptype,
                                                       String str)